/*
 * Simple fragment shader for calculating output fragment color.
 */

#version 130          // delete this line if using GLSL 1.2
precision mediump float;  // delete this line if using GLSL 1.2

// sampler holding texture data
uniform sampler2D colorTexture;
uniform int font;

// fragment-shader input variables
in vec2 fragTexCoord;

// fragment-shader output variable
out vec4 hudColor;


void main()
{	
	//get texel color
	
	vec4 texel = texture(colorTexture, fragTexCoord);
    
	//vec4 texel = texture2D(colorTexture, fragTexCoord) / 150;
	
	//texel.w = 1.0;
    
    //vec4 tempColor = texture2D(colorTexture, fragTexCoord);
	//vec4 texel = tempColor / tempColor.w;
    
    //vec4 tempColor = texture2D(colorTexture, fragTexCoord);
	//vec4 texel = tempColor / tempColor.z;
    
    //write color to output

	//vec4 e = vec4(texel.x/150, texel.y/150, texel.z/150, 1.0f);
	//vec4 e = vec4(texel.x/150, texel.y/150, texel.z/150, texel.w/150);

    if(font==1){
		if(texel.x < 0.5 && texel.y < 0.5 && texel.z < 0.5){
			discard;
		}
	}
	
	//hudColor = vec4(1.0,0.0, 0.0, 1.0);
	hudColor = texel;
	
}
